Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002311SpeedFanHardware supportpublic2014-10-06 18:592015-01-22 19:47
Reporterspb327 
Assigned Toalfredo 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindows 7OS VersionPro 64bit
Product Version4.50 beta 
Target VersionFixed in Version4.51 beta 
Summary0002311: no Support for Gigabyte Z97X-UD3H
DescriptionHi!
I am using the latest beta (v4.50 beta 2) from the speedfan-website and already sent in a report using the info tab.
Speedfan is able to read out several temperatures and fans but nothing else. I can hardly edit anything and no changes have an effect.
On the info tab it says "Intel 9 Series" ChipSet, the sensor seems to be IT8620E.

I would appreciate it very much if you add support for this motherboard respectively the Z97 chipset since speedfan is an awesome program.

thanks
spb327
TagsNo tags attached.
Motherboard ModelGigabyte Z97X-UD3H
Video Card ModelGigabyte Nvidia Geforce GTX 670 OC
Attached Filesjpg file icon speedfan.jpg [^] (228,948 bytes) 2014-11-11 08:27

- Relationships
related to 0002347resolvedalfredo No fan control on Gigabyte Z97N-WIFI 
related to 0002582resolvedalfredo No fan control on Gigabyte Z97N-WIFI 
related to 0002355resolvedalfredo Fan speeds cant be changed 
related to 0002358resolvedalfredo GIGABYTE GA-H97-D3H doesn't work 
related to 0002576resolvedalfredo Fan speeds cant be changed 
related to 0002583resolvedalfredo GIGABYTE GA-H97-D3H doesn't work 

-  Notes
(0007603)
cgler (reporter)
2014-10-20 13:27

I have the Gigabyte Z97P D3 with the same IT8620E and I have the same issues. I hope Alfredo will investigate the matter and soon will release a fix...
(0007610)
agentorange (reporter)
2014-11-11 08:33
edited on: 2014-11-11 09:08

I would reclassify this as a major issue.

I've just added a screenshot to this issue. Motherboard is Gigabyte Z97X-UD5H-BK. I think this is the same issue as ticket number 2302. Sensor is IT8620E on ISA at $A30

On screensot 4, the Temperatures page, clicking the + has no effect.

If you need any further info or screenshots please contact me. Thanks.

(0007626)
alfredo (manager)
2014-11-11 23:21

I am working on this. Unfortunately, the IT8620E is a Gigabyte custom chip and the datasheet is not available. Please, contact me by email (alfredo [at] almico.com).
(0007643)
agentorange (reporter)
2014-11-13 17:34

Hia Alfredo, I've sent you an email :)

Thanks,
Ali.
(0007665)
agentorange (reporter)
2014-12-24 12:32

Hia Alfredo, any update on this? I did send you an email as requested but didn't get a reply.

Thanks
Ali.
(0007671)
clz22 (reporter)
2015-01-08 01:12

I've also had contact with alfredo concerning this chip. I've sent him some data he asked for, but at some point I got no mail back from him.

Of course this is his free time project so he can't implement all chips and solve all problems, especially as he is maintaining speedfan all alone.

Either way, I think I have to buy a new motherboard or live my life with the crappy Gigabyte Easytune. :(
(0007672)
spb327 (reporter)
2015-01-09 14:22

Isn't it already a reputational damage when people start recommending NOT to buy a Gigabyte MB? Why don't they give public access to this chips datasheet for third party programming?
The smart fan feature in GB's appcenter utility "system information viewer" is rather a bad workaround than a fan control for its lack of advanced settings.

I will later try to make some more detailed testing and send reports via speedfan.
(0007673)
alfredo (manager)
2015-01-14 16:13

I just purchased a Gigabyte motherboard with the IT8620E onboard :-)
(0007674)
agentorange (reporter)
2015-01-14 16:31

Oh wow, thank you so much Alfredo. I've just made a Paypal donation to help cover your costs

Again many thanks and really looking forward to the update.

Ali.
(0007675)
alfredo (manager)
2015-01-14 16:48

Thank you :-) I'm installing Windows 8 Pro right now.
(0007676)
alfredo (manager)
2015-01-14 19:16

Is there anybody with a motherboard using the IT8620E that has more than 2 fans installed on it?
If yes, please, mail me at alfredo [at] almico.com to receive a private beta.
Thank you.
(0007679)
alfredo (manager)
2015-01-15 12:14

Preliminary tests show that the first 3 fans can now be properly controlled using SpeedFan :-)
(0007693)
alfredo (manager)
2015-01-16 13:23

I am purchasing another motherboard with 5 fans on it, to try to make full use of them all :-)
(0007704)
alfredo (manager)
2015-01-22 16:35

Ok. The new beta is almost ready. It can now control 5 fans and, most likely, show voltages too :-)
If anybody wants to give it a try now, feel free to contact me by email.
(0007712)
vesanius (reporter)
2015-01-22 17:54
edited on: 2015-01-22 18:09

unfortunately it's not possible to view your email at your profile page. i have an h97-hd3 and would very like to test the new beta :) mail: k00ls4v4s at yahoo.com

greets vesanius

(0007713)
alfredo (manager)
2015-01-22 18:50

alfredo [at] almico.com
(0007714)
73CHD3M0 (reporter)
2015-01-22 19:12

Hi alfredo,

how can i get the beta? Just by writing you an email or how does is work? Just tried to find the "new" beta on your site and only found the "old" one from 2014, so i would appreciate further info on how to get my fingers on it :)

Thanks in Afvance
(0007716)
alfredo (manager)
2015-01-22 19:47

I published it on the website 20 minutes after you visited it :-)

- Issue History
Date Modified Username Field Change
2014-10-06 18:59 spb327 New Issue
2014-10-06 18:59 spb327 Status new => assigned
2014-10-06 18:59 spb327 Assigned To => alfredo
2014-10-20 13:27 cgler Note Added: 0007603
2014-11-11 08:27 agentorange File Added: speedfan.jpg
2014-11-11 08:33 agentorange Note Added: 0007610
2014-11-11 09:08 agentorange Note Edited: 0007610 View Revisions
2014-11-11 23:21 alfredo Note Added: 0007626
2014-11-11 23:21 alfredo Status assigned => acknowledged
2014-11-13 17:34 agentorange Note Added: 0007643
2014-12-24 12:32 agentorange Note Added: 0007665
2015-01-08 01:12 clz22 Note Added: 0007671
2015-01-09 14:22 spb327 Note Added: 0007672
2015-01-14 16:13 alfredo Note Added: 0007673
2015-01-14 16:31 agentorange Note Added: 0007674
2015-01-14 16:48 alfredo Note Added: 0007675
2015-01-14 19:16 alfredo Note Added: 0007676
2015-01-15 12:14 alfredo Relationship added related to 0002347
2015-01-15 12:14 alfredo Note Added: 0007679
2015-01-16 13:23 alfredo Note Added: 0007693
2015-01-22 16:33 alfredo Relationship added related to 0002355
2015-01-22 16:34 alfredo Relationship added related to 0002358
2015-01-22 16:35 alfredo Note Added: 0007704
2015-01-22 17:54 vesanius Note Added: 0007712
2015-01-22 18:09 vesanius Note Edited: 0007712 View Revisions
2015-01-22 18:50 alfredo Note Added: 0007713
2015-01-22 19:12 73CHD3M0 Note Added: 0007714
2015-01-22 19:33 alfredo Status acknowledged => resolved
2015-01-22 19:33 alfredo Resolution open => fixed
2015-01-22 19:33 alfredo Fixed in Version => 4.51 beta
2015-01-22 19:47 alfredo Note Added: 0007716
2016-12-21 20:01 09876ggddzz Issue cloned: 0002578


Copyright © 2000 - 2018 MantisBT Team
Time: 0.2250 seconds.
memory usage: 8,281 KB
Powered by Mantis Bugtracker